Bug 7076 - shelfpage renders OPAC XSLT bloc for intranet Lists
Summary: shelfpage renders OPAC XSLT bloc for intranet Lists
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 7119
  Show dependency treegraph
 
Reported: 2011-10-21 15:41 UTC by Ian Walls
Modified: 2012-10-25 23:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (1.39 KB, patch)
2011-10-21 15:45 UTC, Ian Walls
Details | Diff | Splinter Review
Bug 7076: Lists render OPAC XSLT on staff side (1.44 KB, patch)
2011-10-28 22:25 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2011-10-21 15:41:36 UTC
The work from bug 5830 causes staff client lists to also undergo XSLT transformation if OPACXSLTResultsDisplay is enabled.  The resulting value is not used anywhere on the staff side, thus wasting around half a second of computation time (or default page-sized lists).

Adding a check for whether this is OPAC or intranet would give a performance boost to staff client lists.
Comment 1 Ian Walls 2011-10-21 15:45:52 UTC Comment hidden (obsolete)
Comment 2 Paul Poulain 2011-10-24 11:38:23 UTC
Updating Version : This ENH will be for Koha 3.8
Comment 3 Paul Poulain 2011-10-25 15:06:01 UTC
Bug versionned for master. entries will be made against rel_3_8 once the patch has been applied (see thread about that on koha-devel yesterday)
Comment 4 Chris Cormack 2011-10-28 22:25:21 UTC
Created attachment 6107 [details] [review]
Bug 7076: Lists render OPAC XSLT on staff side

Adds a small check in C4::VirtualShelves::Page::shelfpage to only render
OPACResultsXSLT if the $type is 'opac'.  Since parsing the XML is such an expensive
thing, and the resulting XSLTBloc is not used on the staff side, this will increase
performance for Lists in the intranet

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 5 Marcel de Rooy 2011-11-02 15:37:00 UTC
Taking the liberty as QAA to set this to Passed QA (for the first time..)
I would not call this an enhancement BTW; it is a bug fix (no longer wasting performance). Therefore changing importance.